import { SFCAsyncStyleCompileOptions, SFCStyleCompileResults } from '@vue/compiler-sfc';
export declare const urlRE: RegExp;
export declare const cssPreprocessLangRE: RegExp;
export declare const cssModuleRE: RegExp;
export declare const isCSSRequest: (file: string) => boolean;
declare type Replacer = (url: string) => string | Promise<string>;
export declare function rewriteCssUrls(css: string, replacerOrBase: string | Replacer): Promise<string>;
export declare function compileCss(root: string, publicPath: string, { source, filename, scoped, modules, preprocessLang, preprocessOptions }: SFCAsyncStyleCompileOptions, isBuild?: boolean): Promise<SFCStyleCompileResults | string>;
export declare function resolvePostcssOptions(root: string, isBuild: boolean): Promise<{
    options: import("postcss").ProcessOptions | null;
    plugins: (import("postcss").Transformer | import("postcss").Processor | import("postcss").Plugin<any>)[];
}>;
export declare const cssImportMap: Map<string, Set<string>>;
export declare function getCssImportBoundaries(filePath: string, boundaries?: Set<string>): Set<string>;
export {};
